Search Discovery
Accounts Search Discovery
Search and discover accounts using a query string. This endpoint is optimized for fast, real-time results and supports partial matching for typeahead and autocomplete experiences.
https://v1.apifansly.com
GET
/api/fansly/{accountId}/discover/search/accounts
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
Request Details
curl -X GET "https://v1.apifansly.com/api/fansly/{accountId}/discover/search/accounts?query=cute&limit=10&offset=0" \
-H "x-api-key: YOUR_API_KEY"fetch("https://v1.apifansly.com/api/fansly/{accountId}/discover/search/accounts?query=cute&limit=10&offset=0", {
method: "GET",
headers: {
"x-api-key": "YOUR_API_KEY"
}
})
.then(response => response.json())
.then(data => console.log(data));import requests
url = "https://v1.apifansly.com/api/fansly/{accountId}/discover/search/accounts"
params = {
"query": "cute",
"limit": 10,
"offset": 0
}
headers = {
"x-api-key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{accountId}/discover/search/accounts?query=cute&limit=10&offset=0"))
.header("x-api-key", "YOUR_API_KEY")
.GET()
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{accountId}/discover/search/accounts?query=cute&limit=10&offset=0");
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{accountId}/discover/search/accounts?query=cute&limit=10&offset=0"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Parameters
The query string dictates the search keywords. Optional offset and limits are available to paginate results.
accountId*
stringThe unique identifier for the connected account, retrieved from your Dashboard.
query*
stringThe search query keyword.
limit ?
numberThe maximum amount of records to return.
offset ?
numberThe starting position index, used for pagination.
Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": [
{
"id": "unique_account_identifier",
"username": "account_username",
"displayName": "display_name_string",
"flags": "account_flags_integer",
"version": "version_number",
"createdAt": "timestamp_in_milliseconds",
"followCount": "number_of_followers",
"subscriberCount": "number_of_subscribers",
"permissions": {
"accountPermissionFlags": {
"flags": "permission_flags_integer"
}
},
"postLikes": "number_of_post_likes",
"timelineStats": {
"accountId": "unique_account_identifier",
"imageCount": "number_of_images",
"videoCount": "number_of_videos",
"bundleCount": "number_of_bundles",
"bundleImageCount": "number_of_bundle_images",
"bundleVideoCount": "number_of_bundle_videos",
"fetchedAt": "timestamp_in_milliseconds"
},
"statusId": "status_identifier",
"lastSeenAt": "timestamp_in_milliseconds",
"accountMediaLikes": "number_of_media_likes",
"profileAccessFlags": "profile_access_flags_integer",
"profileFlags": "profile_flags_integer",
"about": "profile_about_text",
"location": "location_string",
"profileSocials": [
{
"providerId": "provider_identifier",
"handle": "social_handle"
}
],
"profileBadges": [],
"pinnedPosts": [
{
"postId": "post_identifier",
"accountId": "unique_account_identifier",
"pos": "position_index",
"wallId": "wall_identifier",
"createdAt": "timestamp_in_milliseconds"
}
],
"walls": [
{
"id": "wall_identifier",
"accountId": "unique_account_identifier",
"pos": "position_index",
"name": "wall_name",
"description": "wall_description",
"private": "privacy_integer_flag",
"metadata": "metadata_string",
"defaultWall": true,
"mainWall": true
}
],
"hasMainWall": true,
"streaming": {
"accountId": "unique_account_identifier",
"channel": null,
"enabled": true
},
"avatar": {
"id": "avatar_identifier",
"type": "avatar_type_integer",
"status": "status_integer",
"accountId": "unique_account_identifier",
"mimetype": "image_mimetype",
"flags": "avatar_flags_integer",
"location": "avatar_url_location",
"width": "image_width",
"height": "image_height",
"metadata": "metadata_json_string",
"updatedAt": "timestamp_in_seconds",
"createdAt": "timestamp_in_seconds",
"variants": [
{
"id": "variant_identifier",
"type": "variant_type_integer",
"status": "status_integer",
"mimetype": "image_mimetype",
"flags": "flags_integer",
"location": "variant_url_location",
"width": "image_width",
"height": "image_height",
"metadata": "metadata_json_string",
"updatedAt": "timestamp_in_seconds",
"locations": [
{
"locationId": "location_identifier",
"location": "signed_cdn_url"
}
]
}
],
"variantHash": {},
"locations": [
{
"locationId": "location_identifier",
"location": "signed_cdn_url"
}
]
},
"banner": {
"id": "banner_identifier",
"type": "banner_type_integer",
"status": "status_integer",
"accountId": "unique_account_identifier",
"mimetype": "image_mimetype",
"flags": "flags_integer",
"location": "banner_url_location",
"width": "image_width",
"height": "image_height",
"metadata": "metadata_json_string",
"updatedAt": "timestamp_in_seconds",
"createdAt": "timestamp_in_seconds",
"variants": [
{
"id": "variant_identifier",
"type": "variant_type_integer",
"status": "status_integer",
"mimetype": "image_mimetype",
"flags": "flags_integer",
"location": "variant_url_location",
"width": "image_width",
"height": "image_height",
"metadata": "metadata_json_string",
"updatedAt": "timestamp_in_seconds",
"locations": [
{
"locationId": "location_identifier",
"location": "signed_cdn_url"
}
]
}
],
"variantHash": {},
"locations": [
{
"locationId": "location_identifier",
"location": "signed_cdn_url"
}
]
},
"subscriptionTiers": [
{
"id": "tier_identifier",
"accountId": "unique_account_identifier",
"name": "tier_name",
"color": "hex_color_code",
"pos": "position_index",
"price": "price_integer",
"maxSubscribers": "max_subscribers_integer",
"subscriptionBenefits": [
"benefit_description_string"
],
"includedTierIds": [],
"plans": [
{
"id": "plan_identifier",
"status": "status_integer",
"billingCycle": "billing_cycle_days",
"price": "price_integer",
"useAmounts": "use_amounts_integer",
"promos": [
{
"id": "promo_identifier",
"status": "status_integer",
"price": "promo_price_integer",
"duration": "duration_days",
"maxUses": "max_uses_integer",
"maxUsesBefore": "timestamp_in_milliseconds",
"newSubscribersOnly": "boolean_integer_flag",
"description": "promo_description",
"startsAt": "timestamp_in_milliseconds",
"endsAt": "timestamp_in_milliseconds",
"uses": "number_of_uses"
}
],
"uses": "number_of_uses"
}
]
}
],
"profileAccess": true
}
]
}
},
"timestamp": "2026-04-09T14:38:24.793Z"
}